#!/bin/bash

RELEASE="1.8.1"

#cloning the plugin
hg clone http://javaforge.com:8000/hgeclipse && \
pushd hgeclipse > /dev/null && \
hg archive -r RELEASE_${RELEASE} eclipse-mercurial-${RELEASE}/mercurial && \
mv eclipse-mercurial-${RELEASE} ../ && \
popd > /dev/null && \
pushd eclipse-mercurial-${RELEASE} > /dev/null 
 
# cloning the feature
mkdir -p eclipse-mercurial-feature
hg clone https://hg.codespot.com/a/eclipselabs.org/mercurialeclipse.wiki/
mv mercurialeclipse.wiki/update_site/MercurialEclipseFeature/*\
  eclipse-mercurial-feature/ && \
rm -rf mercurialeclipse.wiki && \
pushd  eclipse-mercurial-feature > /dev/null && rm .project && \
sed 's/1.9.0/1.8.1/' feature.xml >  feature.new.xml && \
mv feature.new.xml feature.xml 
popd > /dev/null && popd > /dev/null && \

# Creating the source tar ball
tar -cf eclipse-mercurial-${RELEASE}.tar.bz2 eclipse-mercurial-${RELEASE} 
rm -rf hgeclipse && rm -rf eclipse-mercurial-${RELEASE}\

